/*

     .obj  Circle 3.0    MUD
"".
  ,         
(  Circle  MUD,      ,   
,         ,  
.          
(  Circle 3.0)

     ,   .

: FreeBSD/gcc

Prool. proolix@gmail.com www.prool.kharkov.org www.virtustan.net
25-Oct-2007, Kharkov, GPL

*/

#include <stdio.h>

#define ERR(str,str2) { printf(str,str2); return 1; }
#define BUFFSIZE 255

int main (int argc, char *argv[])
{

int i;
FILE *in, *out;
char buff [BUFFSIZE];

/* printf("Converter. argc=%i\n",argc); */

if (argc!=3) ERR("usage: %s oldfile newfile\n", argv[0])

in=fopen(argv[1],"r");
if (in==NULL) ERR("can't open input file %s\n",argv[1])

out=fopen(argv[2],"w");
if (out==NULL) ERR("can't create output file %s\n",argv[2])

for (;;)
	{
	if (fgets(buff, BUFFSIZE, in)==NULL) break;
	if (buff[0]=='#')
		{
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])

		if (fgets(buff, BUFFSIZE, in)==NULL) break;
		for (i=0;i<6;i++)
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		/* 1 line */
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		/* text ~ */
		for (;;)
			{
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
			if (buff[0]=='~') break;
			}
		/* line + "0" */
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			for (i=0;i<BUFFSIZE;i++) if (buff[i]=='\n') buff[i]=0;
			fprintf(out,"%s 0\n",buff);
		/* 2 lines */
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
			if (fgets(buff, BUFFSIZE, in)==NULL) break;
			if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		/* 3 new lines */
			if (fputs("12 0 0\n", out)) ERR("can't wrote to output file %s\n",argv[2])
			if (fputs("0 0 0 0\n", out)) ERR("can't wrote to output file %s\n",argv[2])
			if (fputs("0 0 0 0\n", out)) ERR("can't wrote to output file %s\n",argv[2])
		}
	else
		{
		if (fputs(buff, out)) ERR("can't wrote to output file %s\n",argv[2])
		}
	}

fclose(in);
fclose(out);

return 0;
}

