/* ************************************************************************
*   File: prool.c                                Part of Virtustan MUD    *
*  Usage: prool subprograms                                               *
*                                                                         *
*  See license.doc and readme.txt for complete information.               *
*                                                                         *
*  Copyleft (C) 2007, Prool                                               *
*                                                                         *
*  Author: Prool, proolix@gmail.com, http://prool.kharkov.org             *
************************************************************************ */

#include "prool.h"
#include <sstream>

extern time_t boot_time;

char *ptime(void) //  :       
	{
	char *tmstr;
	time_t mytime;

	mytime = time(0);

	tmstr = (char *) asctime(localtime(&mytime));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	return tmstr;

	}

char *boottime(void) //  :        MUD
	{
	char *tmstr;

	tmstr = (char *) asctime(localtime(&boot_time));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	return tmstr;

	}

void print_time(void) // :     stdout
	{
	char *tmstr;
	time_t mytime;

	mytime = time(0);

	tmstr = (char *) asctime(localtime(&mytime));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	printf("%s",tmstr);

	return;
	}
